QResizeEvent(3qt)

NAME
QResizeEvent - Event parameters for resize events

SYNOPSIS
#include <ntqevent.h>

Inherits QEvent.

  Public Members
QResizeEvent ( const QSize & size, const QSize & oldSize )
const QSize & size () const
const QSize & oldSize () const

DESCRIPTION
The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler TQWidget::resizeEvent() receives resize events.

See also TQWidget::size, TQWidget::geometry, and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )
Constructs a resize event with the new and old widget sizes, size and oldSize respectively.

const QSize & QResizeEvent::oldSize () const
Returns the old size of the widget.

const QSize & QResizeEvent::size () const
Returns the new size of the widget, which is the same as TQWidget::size().

Examples:

SEE ALSO
http://doc.trolltech.com/qresizeevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqresizeevent.3qt) and the Qt version (3.3.8).